Skip to content
POST /unified/accounting/accounts

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

namestring
required·

The name of the account

4 supported2 required
ERPNext
required
Oracle Netsuite
required
QuickBooks
supported
Xero
supported
account_numberstring

Represents the bank account number if the account is of type bank account. It is required if type is bank.

4 supported1 required
Oracle Netsuite
required
ERPNext
supported
QuickBooks
supported
Xero
supported
classificationstring

The classification of the account. If no clear mapping exists, then raw value is returned.

Possible values:
assetequityexpenseliabilityrevenuebankassetequityexpenseliabilityrevenuebank
4 supported
ERPNext
supported
assetequityexpenseliabilityrevenuebank
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
companystring

The ID of the company the account belongs to

References: CompanyInfo → id
2 supported1 required
ERPNext
required
Oracle Netsuite
supported
currencystring

The currency of the account

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
current_balancenumber

The current balance of the account

2 supported
Oracle Netsuite
supported
QuickBooks
supported
descriptionstring

The description of the account

1 supported
Oracle Netsuite
supported
parent_accountstring

The ID of the parent account of the account

References: Accounts → id
3 supported1 required
ERPNext
required
Oracle Netsuite
supported
QuickBooks
supported
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

statusstring

The status of the account. If no clear mapping exists, then raw value is returned.

Possible values:
activearchivedpendingactivearchivedpending
4 supported
ERPNext
supported
activearchivedpending
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
typestring

The more specific classification of the account

Possible values:
fixed_assetlong_term_liabilityequityexpensebankcurrentcurrent_liabilityother_incomedirect_costsother_expensesincomeother_asset+ 106 more
4 supported
ERPNext
supported
fixed_assetlong_term_liabilityequityexpensebankcurrentcurrent_liabilityother_incomedirect_costsother_expensesincomeother_asset+ 29 more
QuickBooks
supported
incomefixed_assetlong_term_liabilityequityexpensebankcurrentcurrent_liabilityother_incomedirect_costsother_expensesother_asset+ 3 more
Xero
supported
bankfixedlong_term_liabequityexpensecurrentcurrent_liabilityother_incomedirect_costsother_expensesincomeother_asset+ 9 more
Oracle Netsuite
supported

Response Body

idstring
required·

The unique identifier for the account

4 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
namestring
required·

The name of the account

4 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
account_numberstring

Represents the bank account number if the account is of type bank account.

4 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
classificationstring

The classification of the account. If no clear mapping exists, then raw value is returned.

Possible values:
assetequityexpenseliabilityrevenuebank
4 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
companystring

The ID of the company the account belongs to

References: CompanyInfo → id
2 supported
ERPNext
supported
Oracle Netsuite
supported
created_atstring · date-time

This represents the date when the accounts was created

2 supported
ERPNext
supported
QuickBooks
supported
currencystring

The currency of the account

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
current_balancenumber

The current balance of the account

2 supported
Oracle Netsuite
supported
QuickBooks
supported
descriptionstring

The description of the account

1 supported
Oracle Netsuite
supported
etagstring

The unique identifier for the specific version of the resource.

parent_accountstring

The ID of the parent account of the account

References: Accounts → id
3 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the account. If no clear mapping exists, then raw value is returned.

Possible values:
activearchivedpending
4 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
typestring

The more specific classification of the account

Possible values:
fixed_assetlong_term_liabilityequityexpensebankcurrentcurrent_liabilityother_incomedirect_costsother_expensesincomeother_asset+ 29 more
4 supported
ERPNext
supported
Oracle Netsuite
supported
QuickBooks
supported
Xero
supported
updated_atstring · date-time

This represents the date when the accounts was updated

3 supported
ERPNext
supported
QuickBooks
supported
Xero
supported
curl -X POST 'https://api.truto.one/unified/accounting/accounts?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "account_number": "your_account_number",
  "company": "your_company",
  "parent_account": "your_parent_account",
  "currency": "your_currency",
  "classification": "asset",
  "type": "fixed_asset",
  "status": "active",
  "description": "your_description",
  "current_balance": 0,
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "account_number": "your_account_number",
  "company": "your_company",
  "parent_account": "your_parent_account",
  "currency": "your_currency",
  "classification": "asset",
  "type": "fixed_asset",
  "status": "active",
  "description": "your_description",
  "current_balance": 0,
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/accounting/accounts?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/accounting/accounts"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "account_number": "your_account_number",
    "company": "your_company",
    "parent_account": "your_parent_account",
    "currency": "your_currency",
    "classification": "asset",
    "type": "fixed_asset",
    "status": "active",
    "description": "your_description",
    "current_balance": 0,
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'accounting',
  'accounts',
  {
  "name": "your_name",
  "account_number": "your_account_number",
  "company": "your_company",
  "parent_account": "your_parent_account",
  "currency": "your_currency",
  "classification": "asset",
  "type": "fixed_asset",
  "status": "active",
  "description": "your_description",
  "current_balance": 0,
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "accounting",
        "accounts",
        {
        "name": "your_name",
        "account_number": "your_account_number",
        "company": "your_company",
        "parent_account": "your_parent_account",
        "currency": "your_currency",
        "classification": "asset",
        "type": "fixed_asset",
        "status": "active",
        "description": "your_description",
        "current_balance": 0,
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())